Bug 1476582 - uw-imap-devel-2007f-14.el7.x86_64.rpm missing
uw-imap-devel-2007f-14.el7.x86_64.rpm missing
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: uw-imap (Show other bugs)
epel7
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-30 08:53 EDT by Brian J. Murrell
Modified: 2017-08-02 11:48 EDT (History)
4 users (show)

See Also:
Fixed In Version: uw-imap-2007f-16.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-02 11:48:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian J. Murrell 2017-07-30 08:53:38 EDT
Description of problem:
Since the recent update of uw-imap, the -devel subpackage is missing from the repo

Version-Release number of selected component (if applicable):
2007f-14.el7

How reproducible:
100%

Steps to Reproduce:
1. Build a system that has all uw-imap [sub-]packages installed before the 2007f-14.el7 update, including uw-imap-devel
2. Run yum upgrade on it

Actual results:
Error: Package: uw-imap-devel-2007f-4.el7.1.x86_64 (@epel)
           Requires: libc-client(x86-64) = 2007f-4.el7.1
           Removing: libc-client-2007f-4.el7.1.x86_64 (@epel)
               libc-client(x86-64) = 2007f-4.el7.1
           Updated By: libc-client-2007f-14.el7.x86_64 (epel)
               libc-client(x86-64) = 2007f-14.el7

Expected results:
Should upgrade without error

Additional info:
Even the dl.fedoraproject.org/pub/epel/7 mirror confirms that the -devel subpackge is missing:

...
 uucp-1.07-41.el7.x86_64.rpm                            2014-01-20 19:55  695K  
 uw-imap-2007f-14.el7.x86_64.rpm                        2017-07-11 16:05   67K  
 uw-imap-utils-2007f-14.el7.x86_64.rpm                  2017-07-11 16:05   50K  
 uwsgi-2.0.15-1.el7.x86_64.rpm                          2017-05-19 21:36  364K  
...
Comment 1 Fedora Update System 2017-07-31 10:54:53 EDT
uw-imap-2007f-16.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-99a18a9bac
Comment 2 Fedora Update System 2017-08-01 18:18:53 EDT
uw-imap-2007f-16.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-99a18a9bac
Comment 3 Fedora Update System 2017-08-02 11:48:52 EDT
uw-imap-2007f-16.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.